<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Timer</title>
    <script type="text/javascript" src="../packages/hotdrink.js"></script>
    <link rel="stylesheet" href="style.css" />
    <script type="module" src="timer.js"></script>
  </head>
  <body>
    <h1>Timer</h1>

    <table>
      <tr>
        <td>
          <label for="progress">Elapsed time: </label>
          <progress id="progress"></progress>
        </td>
      </tr>
      <tr>
        <td>
          <div id="textTimer"></div>
          <div>s</div>
        </td>
      </tr>
      <tr>
        <td>
          <label for="duration">Duration: </label>
          <input type="range" min="1" max="30" class="slider" id="duration" />
        </td>
      </tr>
      <tr>
        <td>
          <button id="reset">Reset timer</button>
        </td>
      </tr>
    </table>
  </body>
</html>
